%global srcname oss-parent

Name:          fasterxml-oss-parent
Version:       41
Release:       %mkrel 2
Group:         Development/Java
Summary:       FasterXML parent pom
License:       ASL 2.0

URL:           https://github.com/FasterXML/oss-parent
Source0:       %{url}/archive/%{srcname}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)

BuildArch:     noarch

%description
FasterXML is the business behind the Woodstox streaming XML parser,
Jackson streaming JSON parser, the Aalto non-blocking XML parser, and
a growing family of utility libraries and extensions.

FasterXML offers consulting services for adoption, performance tuning,
and extension.

This package contains the parent pom file for FasterXML.com projects.

%prep
%setup -q -n %{srcname}-%{srcname}-%{version}

# Stuff unnecessary for RPM builds
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-pmd-plugin
%pom_remove_plugin :maven-scm-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :nexus-maven-plugin
%pom_remove_plugin :jdepend-maven-plugin
%pom_remove_plugin :taglist-maven-plugin
%pom_xpath_remove "pom:build/pom:extensions"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.creole
%license LICENSE NOTICE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 41-2.mga9
+ Revision: 1827701
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 41-1.mga9
+ Revision: 1694785
- Update to version 41

* Fri Sep 04 2020 daviddavid <daviddavid> 40-1.mga8
+ Revision: 1621546
- Update to version 40
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 38-2.mga8
+ Revision: 1536228
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 38-1.mga8
+ Revision: 1453727
- Update to version 38

* Thu Jul 18 2019 daviddavid <daviddavid> 34-1.mga8
+ Revision: 1422440
- Update to latest upstream version 34

* Mon Dec 03 2018 daviddavid <daviddavid> 26-1.mga7
+ Revision: 1337767
- new version: 26 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 24-6.mga7
+ Revision: 1262076
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 24-5.mga6
+ Revision: 982164
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 24-4.mga6
+ Revision: 976241
- First rebuild of the java stack
- sync package fasterxml-oss-parent with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 16-4.mga5
+ Revision: 805718
- Clean rebuild
- 16
- Drop replacer buildrequires
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 11-4.mga5
+ Revision: 679092
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 11-3.mga4
+ Revision: 541315
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 11-2.mga4
+ Revision: 495507
- New version

* Fri Jan 11 2013 umeabot <umeabot> 4-2.mga3
+ Revision: 350061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 4-1.mga3
+ Revision: 325823
- imported package fasterxml-oss-parent

